#include <LiquidCrystal.h>

const int rs = A0, en = A1, d4 = A2, d5 = A3, d6 = A4, d7 = A5; //LCD pins declaration

LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

int pValue, tValue, reading; //sensor values
int lbuttonStatus, rbuttonStatus; //button statuse

const int LED = PD3; //test LED only for sanity check purposes
const int RNG = PD5; //Rainbow Generator
const int PP = 10;  // Planet Projector:
const int pResistor = A6; // Photoresistor
const int thermistor = PD7; // Thermistor
const int buttonLeft =  8; // Black button
const int buttonRight = 9; // White button

// the setup function runs once when you press reset or power the board
void setup() {

  // Pin declarations
  pinMode(LED, OUTPUT);
  pinMode(pResistor, INPUT);
  pinMode(thermistor, INPUT);
  pinMode(buttonLeft, INPUT);
  pinMode(buttonRight, INPUT);
  pinMode(RNG, OUTPUT);
  pinMode(PP, OUTPUT);

  // Welcome screen
  lcd.begin(16, 2); //Declaration of type
  lcd.setCursor(0, 0); //Beginning of first line
  lcd.print("TARS ver 1.0");
  lcd.setCursor(0, 1); //Second line
  lcd.print("by Lucas FA2019");
  delay(2000);

  lcd.begin(16, 2); //Declaration of type
  lcd.setCursor(0, 0); //Beginning of first line
  lcd.print("Honesty:     90");
  lcd.setCursor(0, 1); //Second line
  lcd.print("Changing to: 95");
  delay(2000);

  lcd.begin(16, 2); //Declaration of type
  lcd.setCursor(0, 0); //Beginning of first line
  lcd.print("Humour level: 70");
  lcd.setCursor(0, 1); //Second line
  lcd.print("Changing to:  60");
  delay(2000);

}

// the loop function runs over and over again forever
void loop() {

  // Rainbow generator turning on with left button
  lbuttonStatus = digitalRead(buttonLeft);
  if (lbuttonStatus == LOW) {
    digitalWrite(RNG, HIGH);
    digitalWrite(PP, LOW);
  }

  // Dark Sky Map turning on with right button
  rbuttonStatus = digitalRead(buttonRight);
  if (rbuttonStatus == LOW) {
    digitalWrite(PP, HIGH);
    digitalWrite(RNG, LOW);
  }

  //sensing with Photoresistor
  pValue = analogRead(pResistor);
  if (pValue < 500) {
    lcd.begin(16, 2); //Declaration of type
    lcd.setCursor(0, 0); //Beginning of first line
    lcd.print("It's dark, Coop!");
    lcd.setCursor(0, 1); //Second line
    lcd.print(pValue);
    delay(2000);
    pValue = analogRead(pResistor);
  }
}
